    import MatchEndpoint from 'kayn/lib/Endpoints/MatchEndpoint/MatchEndpoint.js'

public class | source

# MatchEndpoint

#### Extends:

Endpoint~Endpoint → MatchSuperclass → MatchEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | Tournament: {"listMatchIDs": *, "get": *} |
public | config: * |
public | limiter: * |

## Method Summary

Public Methods
public | get(matchID: number): * Get match by match ID. |
public | getTournamentMatch(matchID: number, tournamentCode: string): * Get match by match ID and tournament code. |
public | listMatchIDs(tournamentCode: string): * Get match IDs by tournament code. |
public | timeline(matchID: number): * Get match timeline by match ID. |

## Inherited Summary

From class MatchSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

MatchSuperclass#constructor

## Public Members

### public Tournament: {"listMatchIDs": *, "get": *} source

### public config: * source

### public limiter: * source

## Public Methods

### public get(matchID: number): * source

Get match by match ID.

Implements GET `/lol/match/v3/matches/{matchId}`.

#### Params:

Name | Type | Attribute | Description
matchID | number |  | The ID of the match.

#### Return:

*

### public getTournamentMatch(matchID: number, tournamentCode: string): * source

Get match by match ID and tournament code.

Implements GET `/lol/match/v3/matches/{matchId}/by-tournament-code/{tournamentCode}`.

#### Params:

Name | Type | Attribute | Description
matchID | number |  | The ID of the match.
tournamentCode | string |  | The code of the tournament.

#### Return:

*

### public listMatchIDs(tournamentCode: string): * source

Get match IDs by tournament code.

Implements GET `/lol/match/v3/matches/by-tournament-code/{tournamentCode}/ids`.

#### Params:

Name | Type | Attribute | Description
tournamentCode | string |  | The code of the tournament.

#### Return:

*

### public timeline(matchID: number): * source

Get match timeline by match ID.

Implements GET `/lol/match/v3/timelines/by-match/{matchId}`.

#### Params:

Name | Type | Attribute | Description
matchID | number |  | The ID of the match.

#### Return:

*